// Copyright (C) 2023 Marius Schellenberger

package store

// Parts taken from strings.TrimPrefix
func hasTrimPrefix(s, prefix string) (string, bool) {
	if len(s) >= len(prefix) && s[0:len(prefix)] == prefix {
		return s[len(prefix):], true
	}
	return s, false
}
